%define oname ppx_base

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 6
Summary:        Base set of ppx rewriters

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-ppxlib >= 0.1.0
BuildRequires:  ocaml-ppx_cold >= 0.11
BuildRequires:  ocaml-ppx_compare >= 1:0.11
BuildRequires:  ocaml-ppx_enumerate >= 1:0.11
BuildRequires:  ocaml-ppx_hash >= 0.11
BuildRequires:  ocaml-ppx_js_style >= 0.11
BuildRequires:  ocaml-ppx_sexp_conv >= 1:0.11
BuildRequires:  ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-result-devel

Requires:       ocaml-ppx_hash
Requires:       ocaml-ppx_cold >= 0.11
Requires:       ocaml-octavius
Requires:       ocaml-ppx_enumerate
Requires:       ocaml-ppx_js_style

%description
Base set of ppx rewriters

ppx_base is the set of ppx rewriters used for Base.

Note that Base doesn't need ppx to build, it is only used as a
verification tool.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/ppx.exe
%{_bindir}/ppx-base

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-6.mga8
+ Revision: 1670823
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-5.mga8
+ Revision: 1551932
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1545879
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-3.mga8
+ Revision: 1485336
- rebuild for new ocaml-stdio

* Tue Jan 28 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1484208
- add more runtime deps

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483907
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324787
- Update to 0.11.0

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-4.mga7
+ Revision: 1310501
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1241893
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193654
- Add missing explicit dependency

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193571
- imported package ocaml-ppx_base

